Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.decision
Class DecisionMakerStruct

    java.lang.Object
      com.sun.mdm.index.decision.DecisionMakerStruct

All Implemented Interfaces:
  java.lang.Comparable

public class DecisionMakerStruct
extends java.lang.Object
implements java.lang.Comparable

Structure used for return value of DecisionMaker.process() method.

Field Summary
`java.lang.String` | `comment` Comment
`java.lang.String` | `euid` EUID
`float` | `weight` weight

Constructor Summary
`DecisionMakerStruct(java.lang.String euid, float weight, java.lang.String comment)` DecisionMakerStruct constructor

Method Summary
`int` | `compareTo(java.lang.Object obj)` Compare weights for sorting purposes.
`java.lang.String` | `toString()` string representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### comment

    public java.lang.String comment

  Comment

### euid

    public java.lang.String euid

  EUID

### weight

    public float weight

  weight

Constructor Detail

### DecisionMakerStruct

    public DecisionMakerStruct(java.lang.String euid,
                               float weight,
                               java.lang.String comment)

  DecisionMakerStruct constructor

  Parameters:
    `euid` - EUID
    `weight` - weight
    `comment` - comment

Method Detail

### compareTo

    public int compareTo(java.lang.Object obj)

  Compare weights for sorting purposes.

  Parameters:
    `obj` - object to compare
  Returns:
    see Comparable
  See Also:
    `Comparable.compareTo(Object)`

### toString

    public java.lang.String toString()

  string representation

  Returns:
    string representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.